[WMDE-Fundraising] Provide a way for the fundraising team to easily change bad word filter lists
Closed, ResolvedPublic1 Story Points

Description

Currently the lists are part of the repository, which requires commits and deployment (and thus developer time) for every change to the list. The idea is to manage the lists in the wiki that serves as a CMS.

See also https://github.com/wmde/fundraising/issues/871.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 11 2016, 12:42 PM

Is this something we want to commit to doing as part of the rewrite? If not, then this should not be in the WMDE-Fundraising-Frontend-Release project.

It's basically changing a file_get_contents to a wikirip call while porting over the blacklist/whitelist stuff. So it's part of the rewrite.

gabriel-wmde edited a custom field.Jan 13 2016, 10:37 AM
Lea_WMDE moved this task from Incoming to WMDE Fundraising on the TCB-Team board.May 11 2016, 12:18 PM
Tobi_WMDE_SW closed this task as "Resolved".Apr 7 2017, 11:26 AM
Tobi_WMDE_SW claimed this task.
Restricted Application added a project: WMDE-Fun-Team. · View Herald TranscriptApr 7 2017, 11:26 AM